Bug 1014448 - Java app system tray icons broken in GNOME Shell
Java app system tray icons broken in GNOME Shell
Status: NEW
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Torre
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 00:51 EDT by Robert Hancock
Modified: 2017-04-25 14:14 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test Case (1.27 KB, text/plain)
2015-07-09 13:56 EDT, Kyle Berezin
no flags Details

  None (edit)
Description Robert Hancock 2013-10-02 00:51:08 EDT
Description of problem:
Java apps with system tray icons do not work properly with GNOME Shell. See below.

Version-Release number of selected component (if applicable):
java-1.7.0-openjdk-1.7.0.60-2.4.2.5.fc19.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Get and run the http://docs.oracle.com/javase/tutorial/uiswing/misc/systemtray.html demo application
2.
3.

Actual results:
System tray icon shows up in notification area (though only if you open the Activities view and pull down at the bottom of the screen). However the icon seems to be incorrectly scaled (the image is at the top left of the icon instead of being scaled to fill it). Worse, the tooltip and pop-up menu do not work at all. And a useless icon shows up in the running apps list labelled misc-TrayIconDemo.

Expected results:
Tray icon works as expected. No useless icon in apps list.

Additional info:
java-1.8.0-openjdk seems broken as well.
Comment 1 s8dragon 2014-01-20 13:21:41 EST
same problem with gnome-shell 3.10.3 and jre7-openjdk 7.u51_2.4.4
Comment 2 Robert Hancock 2014-02-09 17:25:29 EST
Confirmed still an issue in F20.
Comment 3 tom.jenkinson 2014-03-07 08:21:36 EST
verified on:

[tom@dhcppc1 smsapp_pc](master) (13:16:38) $ gnome-shell --version
GNOME Shell 3.10.3
[tom@dhcppc1 smsapp_pc](master) (13:16:38) $ java -version
java version "1.7.0_51"
OpenJDK Runtime Environment (fedora-2.4.4.1.fc20-x86_64 u51-b02)
OpenJDK 64-Bit Server VM (build 24.45-b08, mixed mode)
Comment 4 Fedora End Of Life 2015-05-29 05:29:49 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Robert Hancock 2015-05-29 20:12:33 EDT
Still an issue in F22. When running the tray icon demo app, a black square icon appears in the notification list at the bottom left, but it doesn't respond to any mouse clicks.
Comment 6 Zhiyuan Ma 2015-06-26 18:21:39 EDT
verified on 

[ma@fedora-ma ~] $ gnome-shell --version
GNOME Shell 3.16.2
[ma@fedora-ma ~] $ java -version
java version "1.8.0_45"
Java(TM) SE Runtime Environment (build 1.8.0_45-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.45-b02, mixed mode)
[ma@fedora-ma ~] $
Comment 7 Kyle Berezin 2015-07-04 03:39:44 EDT
Same issue. The icon shows up on the top left instead of the tray most of the time, but not always.
Comment 8 Kyle Berezin 2015-07-09 13:56:37 EDT
Created attachment 1050382 [details]
Test Case

A simple test case. The tray icon should be white and on the bottom left but often appears on the top left. This sample was made only to demonstrate the icon placement issue, not the popup menu issue. This was tested in a virtual machine and changing its thread waiting and system ram/cpu changed the chance of the issue occurring unpredictably, some times it would would happen 99% of the time others close to 0%.
Comment 9 Andrew John Hughes 2016-03-01 12:22:42 EST
Moving to java-1.8.0-openjdk based on comment 6; Fedora no longer has java-1.7.0-openjdk.
Comment 10 customercare 2016-03-31 09:33:26 EDT
if we can get the icon in the upper tray bar, the would solve so many problems. If the menu would work too, would be good.  Having it of the left top corner  would be a relieve, i tell you :)
Comment 11 Robert Hancock 2016-06-28 01:57:09 EDT
No change in F24.
Comment 12 customercare 2017-03-31 05:02:21 EDT
no change in F25
Comment 13 customercare 2017-03-31 05:03:29 EDT
BTW: using cinnamon this does not happen. It's a GNOME ONLY problem.

Note You need to log in before you can comment on or make changes to this bug.